Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class NodeReorderEvent

    java.lang.Object
      java.util.EventObject
          org.openide.nodes.NodeEvent
              org.openide.nodes.NodeReorderEvent

All Implemented Interfaces:
  Serializable

    public final class NodeReorderEvent

extends NodeEvent

Event describing change in the list of a node's children.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Method Summary
`int[]` | `getPermutation()` Get the permutation used for reordering.
`int` | `getPermutationSize()` Get the number of children reordered.
`int` | `newIndexOf(int i)` Get the new position of the child that had been at a given position.
`String` | `toString()` Human presentable information about the event

Methods inherited from class org.openide.nodes.NodeEvent
`getNode`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### newIndexOf

    public int newIndexOf(int i)

  Get the new position of the child that had been at a given position.

  Parameters:
    `i` - the original position of the child
  Returns:
    the new position of the child

### getPermutation

    public int[] getPermutation()

  Get the permutation used for reordering.

  Returns:
    array of integers used for reordering

### getPermutationSize

    public int getPermutationSize()

  Get the number of children reordered.

  Returns:
    size of the permutation array

### toString

    public String toString()

  Human presentable information about the event

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.